      subroutine subreadr2c(byr,bmn,bdy,but,bmm,yy)
C...................................................Dec 2021
C read UPC IONEX files extracted from irtg for 00, 20, 40 min
C
      dimension yy(71,0:72)
	  character*48 infile
	character*2 BYR,BMN,BDY,BUT,BMM
	do i=1,71
	do k=0,72
	yy(i,k)=0.
	enddo
	enddo
	 infile='c:\web\graf\dt2\YR\MN\ut\tcMMDDUTMM.rYY' 
 	infile(17:18)=byr
	infile(20:21)=bmn
	infile(28:29)=bmn
	infile(30:31)=bdy
	infile(32:33)=but
	infile(34:35)=bmm
 	infile(38:39)=byr
   17	FORMAT(73(1X,F4.1))		   
	OPEN(10,FILE=INFILE,action='READ')
	do i=1,71
	READ (10,17,END=16,ERR=2) (yy(i,k),k=0,72)
		enddo
   16	close(unit=10)
	RETURN
    2 CONTINUE
	       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
	   	pause ' '
	RETURN
	END